## k3b 17.12.3

=== CMakeLists.txt ===
project(k3b)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set (QT_MIN_VERSION "5.5.0")
set (KF5_MIN_VERSION "5.21.0")

##################  K3b version  ################################
set(K3B_VERSION_STRING ${KDE_APPLICATIONS_VERSION})

# increase on BC breakage
set(K3B_LIB_VERSION_MAJOR 7)

# increase after adding functionality
set(K3B_LIB_VERSION_MINOR 0)
set(K3B_LIB_VERSION_RELEASE 0)


##################  K3b options #################################
option(K3B_DEBUG "K3b additional debugging support" OFF)
if(K3B_DEBUG)
    add_definitions(-g)
endif()
option(K3B_ENABLE_MUSICBRAINZ "Support for querying metadata about audio tracks from Musicbrainz." ON)
option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)
option(K3B_ENABLE_PERMISSION_HELPER "Build the permissions helper program" OFF)

# plugin options
option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN "Build Ogg-Vorbis decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN "Build Ogg-Vorbis encoder plugin" ON)
option(K3B_BUILD_MAD_DECODER_PLUGIN "Build MAD mp3 decoder plugin" ON)
option(K3B_BUILD_MUSE_DECODER_PLUGIN "Build Musepack decoder plugin" ON)
option(K3B_BUILD_FLAC_DECODER_PLUGIN "Build Flac decoder plugin" ON)
option(K3B_BUILD_SNDFILE_DECODER_PLUGIN "Build libsndfile decoder plugin" ON)
option(K3B_BUILD_LAME_ENCODER_PLUGIN "Build Lame encoder plugin" ON)
option(K3B_BUILD_SOX_ENCODER_PLUGIN "Build Sox encoder plugin" ON)
option(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN "Build external app encoder plugin" ON)
option(K3B_BUILD_WAVE_DECODER_PLUGIN "Build Wave decoder plugin" ON)

##################  K3b requirements #################################
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMEnableSanitizers)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive Config CoreAddons DocTools FileMetaData I18n IconThemes JobWidgets
                                     KCMUtils KIO Notifications NewStuff NotifyConfig Service Solid WidgetsAddons XmlGui)

find_package(Qt5WebKitWidgets)
set_package_properties(Qt5WebKitWidgets PROPERTIES
    DESCRIPTION "Qt5WebKitWidgets is used for prettier k3bdiskinfoview."
    TYPE OPTIONAL)
if(Qt5WebKitWidgets_FOUND)
    add_definitions(-DHAVE_QT5WEBKITWIDGETS)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")
if(WITH_NEW_SOLID_JOB)
    add_definitions(-DWITH_NEW_SOLID_JOB)
endif()

find_package(Iconv)
set(HAVE_ICONV "${ICONV_FOUND}")

find_package(Samplerate)
set_package_properties(Samplerate PROPERTIES
    DESCRIPTION "Audio sampling rate conversion."
    URL "http://www.mega-nerd.com/SRC"
    TYPE REQUIRED)

find_package(KF5Cddb)
set_package_properties(KF5Cddb PROPERTIES
    DESCRIPTION "KF5 branch for CDDB library"
    URL "http://projects.kde.org/projects/kde/kdemultimedia/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet.")

if(K3B_ENABLE_DVD_RIPPING)
    find_package(DvdRead)
    set_package_properties(DvdRead PROPERTIES
        DESCRIPTION "Libdvdread provides a simple foundation for reading DVD video disks."
        URL "http://www.dtek.chalmers.se/groups/dvd/downloads.shtml"
        TYPE OPTIONAL)

    set(ENABLE_DVD_RIPPING "${DVDREAD_FOUND}")
endif()

if(K3B_ENABLE_TAGLIB)
    find_package(Taglib)
    set_package_properties(Taglib PROPERTIES
        DESCRIPTION "Read and write tags in audio files"
        URL "http://www.freshmeat.net/projects/taglib"
        TYPE OPTIONAL)

    set(ENABLE_TAGLIB "${TAGLIB_FOUND}")
endif()

if(K3B_ENABLE_MUSICBRAINZ)
    find_package(MusicBrainz)
    set_package_properties(MusicBrainz PROPERTIES
        DESCRIPTION "Provide information about the CD, about the artist or about related information"
        URL "http://musicbrainz.org"
        TYPE OPTIONAL)

    set(ENABLE_MUSICBRAINZ "${MUSICBRAINZ_FOUND}")
endif()

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN)
    find_package(FFmpeg)
    set_package_properties(FFmpeg PROPERTIES
        PURPOSE "Needed for the K3b FFmpeg decoder plugin which can decode virtually all audio types."
        URL "http://ffmpeg.org"
        TYPE OPTIONAL)

    if(FFMPEG_FOUND)
        include(CheckSymbolExists)
        include(CMakePushCheckState)
        cmake_push_check_state()

        if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
            # FindKDE4Internal.cmake screws things up
            set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} -std=c99)
        endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")

        if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
            set(FFMPEG_HEADERS ffmpeg/avcodec.h ffmpeg/avformat.h)
        else(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
            set(FFMPEG_HEADERS libavcodec/avcodec.h libavformat/avformat.h)
            set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -DNEWFFMPEGAVCODECPATH)
        endif(FFMPEG_INCLUDE_DIR_OLD_STYLE)
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${FFMPEG_LIBRARIES})

        check_symbol_exists(avformat_open_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_OPEN_INPUT)
        check_symbol_exists(av_dump_format "${FFMPEG_HEADERS}" HAVE_FFMPEG_AV_DUMP_FORMAT)
        check_symbol_exists(avformat_find_stream_info "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_FIND_STREAM_INFO)
        check_symbol_exists(avformat_close_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_CLOSE_INPUT)
        check_symbol_exists(avcodec_open2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_OPEN2)
        check_symbol_exists(avcodec_decode_audio2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_DECODE_AUDIO2)
        check_symbol_exists(avcodec_decode_audio3 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_DECODE_AUDIO3)
        check_symbol_exists(avcodec_decode_audio4 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_DECODE_AUDIO4)
        include(CheckCSourceCompiles)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() { enum AVMediaType t = AVMEDIA_TYPE_UNKNOWN; return 0; }
            " HAVE_FFMPEG_AVMEDIA_TYPE)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() {
            #if LIBAVCODEC_BUILD >= AV_VERSION_INT(54,25,0)
            # Not needed here. AV_CODEC_ID_MP3 exists.
            #else
            enum CodecID t = CODEC_ID_MP3;
            #endif
            return 0;
            }
            " HAVE_FFMPEG_CODEC_MP3)

        cmake_pop_check_state()
    endif(FFMPEG_FOUND)

    set(BUILD_FFMPEG_DECODER_PLUGIN "${FFMPEG_FOUND}")
endif(K3B_BUILD_FFMPEG_DECODER_PLUGIN)

if(K3B_BUILD_FLAC_DECODER_PLUGIN)
    find_package(Flac)
    set_package_properties(Flac PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "http://flac.sourceforge.net"
        TYPE OPTIONAL)

    find_package(Flac++)
    set_package_properties(Flac++ PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "http://flac.sourceforge.net"
        TYPE OPTIONAL)

    if(FLAC_FOUND AND FLAC++_FOUND)
        set(BUILD_FLAC_DECODER_PLUGIN 1)
    endif()
endif()

if(K3B_BUILD_MAD_DECODER_PLUGIN)
    find_package(Mad)
    set_package_properties(Mad PROPERTIES
        PURPOSE "Needed for the mp3 audio decoder plugin."
        URL "http://www.underbit.com/products/mad"
        TYPE OPTIONAL)

    set(BUILD_MAD_DECODER_PLUGIN "${MAD_FOUND}")
endif()

if(K3B_BUILD_MUSE_DECODER_PLUGIN)
    find_package(Muse)
    set_package_properties(Muse PROPERTIES
        PURPOSE "Needed for the Musepack audio decoder plugin"
        URL "http://www.musepack.net"
        TYPE OPTIONAL)

    set(BUILD_MUSE_DECODER_PLUGIN "${MUSE_FOUND}")
endif()

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN)
    find_package(Sndfile)
    set_package_properties(Sndfile PROPERTIES
        PURPOSE "Needed for the libsndfile audio decoder plugin."
        URL "http://www.mega-nerd.com/libsndfile"
        TYPE OPTIONAL)

    set(BUILD_SNDFILE_DECODER_PLUGIN "${SNDFILE_FOUND}")
endif()

if(K3B_BUILD_LAME_ENCODER_PLUGIN)
    find_package(Lame)
    set_package_properties(Lame PROPERTIES
        DESCRIPTION "Lame mp3 encoder"
        PURPOSE "Needed for the lame mpf encoder encoder plugin."
        URL "http://lame.sourceforge.net"
        TYPE OPTIONAL)

    set(BUILD_LAME_ENCODER_PLUGIN "${LAME_FOUND}")
endif()

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
    find_package(OggVorbis)
    set_package_properties(OggVorbis PROPERTIES
        DESCRIPTION "Ogg Vorbis"
        PURPOSE "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
        URL "http://www.vorbis.com"
        TYPE OPTIONAL)

    set(BUILD_OGGVORBIS_DECODER_PLUGIN "${OGGVORBIS_FOUND}")
    set(BUILD_OGGVORBIS_ENCODER_PLUGIN "${OGGVORBIS_FOUND}")
endif()

###################  K3b build settings #################################
include(ConfigureChecks)

set(BUILD_WAVE_DECODER_PLUGIN "${K3B_BUILD_WAVE_DECODER_PLUGIN}")
set(BUILD_SOX_ENCODER_PLUGIN "${K3B_BUILD_SOX_ENCODER_PLUGIN}")
set(BUILD_EXTERNAL_ENCODER_PLUGIN "${K3B_BUILD_EXTERNAL_ENCODER_PLUGIN}")

set(ENABLE_HAL_SUPPORT "${K3B_ENABLE_HAL_SUPPORT}")
set(ENABLE_AUDIO_PLAYER "${QT_QTMULTIMEDIA_FOUND}")
set(ENABLE_PERMISSION_HELPER "${K3B_ENABLE_PERMISSION_HELPER}")

if(IS_ABSOLUTE ${DATA_INSTALL_DIR})
  set(K3B_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/k3b)
else()
  set(K3B_DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_INSTALL_DIR}/k3b)
endif()

configure_file(config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h)
include_directories(${CMAKE_BINARY_DIR})

##################  K3b apidox ################################
if(K3B_BUILD_API_DOCS)
    find_package(Doxygen)

    if(DOXYGEN_EXECUTABLE)
        configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_BINARY_DIR}/Doxyfile)

        if(EXISTS ${QT_DOC_DIR}/html)
            set(QTDOCS "${QT_DOC_DIR}/html")
        else()
            set(QTDOCS "http://doc.trolltech.com/4.5/")
        endif()

        add_custom_target(apidox
            COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
            COMMAND docs/html/installdox -l qt4.tag@${QTDOCS} docs/html/*.html)
    endif()
endif(K3B_BUILD_API_DOCS)

##################  K3b build environment ################################
add_subdirectory( libk3bdevice )
add_subdirectory( libk3b )
add_subdirectory( src )
add_subdirectory( kioslaves )
add_subdirectory( plugins )
add_subdirectory( doc )
if(BUILD_TESTING)
    find_package(Qt5Test REQUIRED)
    find_package(LibFuzzer)
    set_package_properties(LibFuzzer PROPERTIES

=== src/CMakeLists.txt ===

if(ENABLE_PERMISSION_HELPER)
  add_subdirectory( helper )
endif(ENABLE_PERMISSION_HELPER)

add_subdirectory( icons )
add_subdirectory( pics )
add_subdirectory( services )


########### next target ###############

ki18n_wrap_ui(ui_sources
    option/base_k3bthemeoptiontab.ui
    option/base_k3bmiscoptiontab.ui
    option/base_k3bpluginoptiontab.ui
    projects/base_k3baudiocdtextwidget.ui
    projects/base_k3bbootimagedialog.ui
    projects/base_k3badvanceddataimagesettings.ui
    projects/base_k3baudiocdtextallfieldsdialog.ui
    projects/base_k3bdataimagesettings.ui
    projects/base_k3bdatavolumedescdialog.ui
    projects/base_k3baudiotrackwidget.ui
    projects/base_k3bmovixoptionswidget.ui
    rip/base_k3baudiorippingoptionwidget.ui
    rip/base_k3bcddbpatternwidget.ui
)

if(ENABLE_AUDIO_PLAYER)
    set(audioplayer_sources projects/k3baudiotrackplayer.cpp)
endif()

if(ENABLE_DVD_RIPPING)
    set(videodvd_sources
        rip/videodvd/k3bvideodvdaudiomodel.cpp
        rip/videodvd/k3bvideodvdrippingview.cpp
        rip/videodvd/k3bvideodvdrippingjob.cpp
        rip/videodvd/k3bvideodvdrippingwidget.cpp
        rip/videodvd/k3bvideodvdrippingdialog.cpp
        rip/videodvd/k3bvideodvdrippingpreview.cpp
        rip/videodvd/k3bvideodvdtitledelegate.cpp
        rip/videodvd/k3bvideodvdtitlemodel.cpp
    )

    ki18n_wrap_ui(ui_sources rip/videodvd/base_k3bvideodvdrippingwidget.ui)
endif()

if(ENABLE_MUSICBRAINZ)
    set(musicbrainz_sources
        k3btrm.cpp
        k3bmusicbrainz.cpp
        projects/k3bmusicbrainzjob.cpp
        projects/k3bmusicbrainztrackloopupjob.cpp
        projects/k3baudiotracktrmlookupdialog.cpp
    )
endif()

qt5_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/k3binterface.h org.k3b.MainWindow.xml )
qt5_add_dbus_adaptor( dbus_sources ${CMAKE_CURRENT_BINARY_DIR}/org.k3b.MainWindow.xml k3binterface.h K3b::Interface k3binterfaceadaptor K3bInterfaceAdaptor )
qt5_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/k3bjobinterface.h org.k3b.Job.xml )
qt5_add_dbus_adaptor( dbus_sources ${CMAKE_CURRENT_BINARY_DIR}/org.k3b.Job.xml k3bjobinterface.h K3b::JobInterface k3bjobinterfaceadaptor K3bJobInterfaceAdaptor )
qt5_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/k3bprojectinterface.h org.k3b.Project.xml )
qt5_add_dbus_adaptor( dbus_sources ${CMAKE_CURRENT_BINARY_DIR}/org.k3b.Project.xml k3bprojectinterface.h K3b::ProjectInterface k3bprojectinterfaceadaptor K3bProjectInterfaceAdaptor )
qt5_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/k3baudioprojectinterface.h org.k3b.AudioProject.xml )
qt5_add_dbus_adaptor( dbus_sources ${CMAKE_CURRENT_BINARY_DIR}/org.k3b.AudioProject.xml k3baudioprojectinterface.h K3b::AudioProjectInterface k3baudioprojectinterfaceadaptor K3bAudioProjectInterfaceAdaptor )
qt5_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/k3bdataprojectinterface.h org.k3b.DataProject.xml )
qt5_add_dbus_adaptor( dbus_sources ${CMAKE_CURRENT_BINARY_DIR}/org.k3b.DataProject.xml k3bdataprojectinterface.h K3b::DataProjectInterface k3bdataprojectinterfaceadaptor K3bDataProjectInterfaceAdaptor )

add_executable(k3b
    k3bwelcomewidget.cpp
    k3bapplication.cpp
    k3bdevicedelegate.cpp
    k3bmediumdelegate.cpp
    k3bmetaitemmodel.cpp
    k3bplacesmodel.cpp
    k3bdiroperator.cpp
    k3bfiletreeview.cpp
    k3bprojecttabwidget.cpp
    k3bsplash.cpp
    k3bfileview.cpp
    k3bdirview.cpp
    k3b.cpp
    main.cpp
    k3bstatusbarmanager.cpp
    k3burlnavigator.cpp
    k3binterface.cpp
    k3bjobinterface.cpp
    k3baudioprojectinterface.cpp
    k3bdataprojectinterface.cpp
    k3bmixedprojectinterface.cpp
    k3bprojectinterface.cpp
    k3bsystemproblemdialog.cpp
    k3bmediacontentsview.cpp
    k3bcontentsview.cpp
    k3bjobprogressdialog.cpp
    k3bburnprogressdialog.cpp
    k3btempdirselectionwidget.cpp
    k3bdatamodewidget.cpp
    k3bwritingmodewidget.cpp
    k3bwriterselectionwidget.cpp
    k3binteractiondialog.cpp
    k3bthememanager.cpp
    k3bprojectmanager.cpp
    k3bflatbutton.cpp
    k3bemptydiscwaiter.cpp
    k3bdebuggingoutputcache.cpp
    k3bdebuggingoutputdialog.cpp
    k3bdebuggingoutputfile.cpp
    k3bappdevicemanager.cpp
    k3bmediaselectioncombobox.cpp
    k3bwidgetshoweffect.cpp
    k3bmediaselectiondialog.cpp
    k3bdiskinfoview.cpp
    k3btimeoutwidget.cpp
    k3bthemedheader.cpp
    k3bthemedlabel.cpp
    k3blsofwrapper.cpp
    k3blsofwrapperdialog.cpp
    k3baction.cpp
    k3bdevicemenu.cpp
    k3bviewcolumnadjuster.cpp
    k3bmodelutils.cpp
    helper/k3bhelperprogramitem.cpp
    misc/k3bimagewritingdialog.cpp
    misc/k3bmediacopydialog.cpp
    misc/k3bmediaformattingdialog.cpp
    option/k3bmiscoptiontab.cpp
    option/k3bexternalbinmodel.cpp
    option/k3bexternalbinoptiontab.cpp
    option/k3bexternalbinparamsmodel.cpp
    option/k3bexternalbinpermissionmodel.cpp
    option/k3badvancedoptiontab.cpp
    option/k3boptiondialog.cpp
    option/k3bdeviceoptiontab.cpp
    option/k3bnotifyoptiontab.cpp
    option/k3bpluginoptiontab.cpp
    option/k3bthemeoptiontab.cpp
    option/k3bthememodel.cpp
    option/k3bdevicewidget.cpp
    option/k3bexternalbinwidget.cpp
    option/k3bcddboptiontab.cpp
    projects/k3baudioburndialog.cpp
    projects/k3baudiocdtextwidget.cpp
    projects/k3baudioeditorwidget.cpp
    projects/k3baudiotrackdialog.cpp
    projects/k3baudiotrackwidget.cpp
    projects/k3baudiotracksplitdialog.cpp
    projects/k3baudioview.cpp
    projects/k3baudioviewimpl.cpp
    projects/k3baudioprojectdelegate.cpp
    projects/k3baudioprojectmodel.cpp
    projects/k3bmixedburndialog.cpp
    projects/k3bmixedview.cpp
    projects/k3bdataadvancedimagesettingsdialog.cpp
    projects/k3bdatadirtreeview.cpp
    projects/k3bdataimagesettingswidget.cpp
    projects/k3bdatapropertiesdialog.cpp
    projects/k3bdataview.cpp
    projects/k3bdataviewimpl.cpp
    projects/k3bdatavolumedescdialog.cpp
    projects/k3bdataburndialog.cpp
    projects/k3bdataprojectdelegate.cpp
    projects/k3bdataprojectmodel.cpp
    projects/k3bdataprojectsortproxymodel.cpp
    projects/k3bbootimagedialog.cpp
    projects/k3bbootimagemodel.cpp
    projects/k3bmovixburndialog.cpp
    projects/k3bmovixoptionswidget.cpp
    projects/k3bmovixview.cpp
    projects/k3bmovixprojectmodel.cpp
    projects/k3bvideodvdburndialog.cpp
    projects/k3bvideodvdview.cpp
    projects/k3bvcdburndialog.cpp
    projects/k3bvcdtrackdialog.cpp
    projects/k3bvcdtrackkeysdelegate.cpp
    projects/k3bvcdtrackkeysmodel.cpp
    projects/k3bvcdview.cpp
    projects/k3bvcdprojectmodel.cpp
    projects/k3bfillstatusdisplay.cpp
    projects/k3bview.cpp
    projects/k3bdirproxymodel.cpp
    projects/k3bprojectburndialog.cpp
    projects/k3bprojectplugindialog.cpp
    projects/k3bdatamultisessioncombobox.cpp
    projects/k3bdataurladdingdialog.cpp
    projects/k3baudiodatasourceeditwidget.cpp
    projects/k3baudiotrackaddingdialog.cpp
    projects/k3bencodingconverter.cpp
    projects/k3bdatamultisessionimportdialog.cpp
    projects/k3bvolumenamewidget.cpp
    projects/kostore/KoStore.cpp
    projects/kostore/KoZipStore.cpp
    projects/kostore/KoStoreBase.cpp
    rip/k3baudioripjob.cpp
    rip/k3bpatternparser.cpp
    rip/k3baudiorippingdialog.cpp
    rip/k3baudiocdview.cpp
    rip/k3bcddbpatternwidget.cpp
    rip/k3bmassaudioencodingjob.cpp
    rip/k3bvideocdinfo.cpp
    rip/k3bvideocdview.cpp
    rip/k3bvideocdrip.cpp
    rip/k3bvideocdrippingdialog.cpp
    rip/k3bcuefilewriter.cpp
    rip/k3baudioconvertingoptionwidget.cpp
    rip/k3baudioprojectconvertingdialog.cpp
    rip/k3baudioprojectconvertingjob.cpp
    rip/categories.cpp
    rip/k3baudiotrackmodel.cpp
    ${ui_sources}
    ${audioplayer_sources}
    ${musicbrainz_sources}
    ${videodvd_sources}
    ${dbus_sources}
)

target_include_directories(k3b PRIVATE
    ${CMAKE_BINARY_DIR}
    helper
    projects
    projects/kostore
)

target_link_libraries(k3b
    k3bdevice
    k3blib
    KF5::Cddb
    KF5::Archive
    KF5::I18n
    KF5::IconThemes
    KF5::JobWidgets
    KF5::KIOFileWidgets
    KF5::KCMUtils
    KF5::NewStuff
    KF5::Notifications
    KF5::NotifyConfig
    KF5::Solid
    KF5::XmlGui
    KF5::ConfigCore
)

if(Qt5WebKitWidgets_FOUND)
    target_link_libraries(k3b Qt5::WebKitWidgets)
endif()

if(ICONV_FOUND)
    target_include_directories(k3b PRIVATE ${ICONV_INCLUDE_DIR})
    target_link_libraries(k3b ${ICONV_LIBRARIES})
endif()

if(ENABLE_AUDIO_PLAYER)
    target_link_libraries(k3b Qt5::Multimedia)
endif()

if(ENABLE_MUSICBRAINZ)
    target_link_libraries(k3b ${MUSICBRAINZ_LIBRARIES})
endif()

install(TARGETS k3b ${INSTALL_TARGETS_DEFAULT_ARGS})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/option/k3btheme.knsrc.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/option/k3btheme.knsrc
               @ONLY)


########### install files ###############
install( PROGRAMS  org.kde.k3b.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
#install( FILES  k3b-iso.desktop k3b-cue.desktop DESTINATION ${APPLNK_INSTALL_DIR}/.hidden/ )
install( FILES  k3b.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )
install( FILES  k3bui.rc k3bdeviceui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/k3b )
install( FILES  org.kde.k3b.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/option/k3btheme.knsrc DESTINATION ${KDE_INSTALL_CONFDIR} )

set( SHARED_MIME_INFO_MINIMUM_VERSION "0.23" )
find_package( SharedMimeInfo REQUIRED )
install( FILES x-k3b.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )

=== plugins/decoder/flac/CMakeLists.txt ===

check_cxx_source_compiles("
#include <FLAC++/metadata.h>
int main()
{
    FLAC::Metadata::VorbisComment* vc;
    vc->get_vendor_string().get_field();
    return 0;
}
" FLAC_LESS_THAN_1_1_1 )

if( NOT FLAC_LESS_THAN_1_1_1)
    set(FLAC_NEWER_THAN_1_1_1 1)
endif()

configure_file(config-flac.h.cmake config-flac.h )

add_library(k3bflacdecoder MODULE k3bflacdecoder.cpp)

target_include_directories(k3bflacdecoder PRIVATE ${FLAC++_INCLUDE_DIR} ${FLAC_INCLUDE_DIR})

target_link_libraries(k3bflacdecoder k3bdevice k3blib KF5::I18n ${FLAC++_LIBRARIES} ${FLAC_LIBRARIES})

if(ENABLE_TAGLIB)
    target_link_libraries(k3bflacdecoder ${TAGLIB_LIBRARIES})
endif()

install(TARGETS k3bflacdecoder DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES  k3bflacdecoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/encoder/external/CMakeLists.txt ===
add_library(k3bexternalencoder MODULE
    k3bexternalencoder.cpp
    k3bexternalencodercommand.cpp
)

target_link_libraries(k3bexternalencoder
    k3bdevice
    k3blib
    KF5::I18n
)

ki18n_wrap_ui(ui_sources
    base_k3bexternalencoderconfigwidget.ui
    base_k3bexternalencodereditdialog.ui
)

add_library(kcm_k3bexternalencoder MODULE
    k3bexternalencoderconfigwidget.cpp
    k3bexternalencodercommand.cpp
    ${ui_sources}
)

target_link_libraries(kcm_k3bexternalencoder
    k3bdevice
    k3blib
    KF5::I18n
)

install(TARGETS k3bexternalencoder kcm_k3bexternalencoder DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES k3bexternalencoder.desktop kcm_k3bexternalencoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/encoder/sox/CMakeLists.txt ===
add_library(k3bsoxencoder MODULE k3bsoxencoder.cpp)

target_link_libraries(k3bsoxencoder
    k3bdevice
    k3blib
    KF5::I18n
)

ki18n_wrap_ui(ui_sources base_k3bsoxencoderconfigwidget.ui)

add_library(kcm_k3bsoxencoder MODULE k3bsoxencoderconfigwidget.cpp ${ui_sources})

target_link_libraries(kcm_k3bsoxencoder
    k3bdevice
    k3blib
    KF5::I18n
)

install(TARGETS k3bsoxencoder kcm_k3bsoxencoder DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES k3bsoxencoder.desktop kcm_k3bsoxencoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
k3b (17.12.3-0ubuntu3) bionic; urgency=medium

  * Drop a now 'useless' patch and add upstream fix for ffmpeg plugin
    output, on advice of upstream author of both. KDE Bug 386105
    - debian/patches: more_formats_supported.diff
    + debian/patches: fix_ffmpeg_decoder.diff

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 07 Apr 2018 13:00:29 +0100

k3b (17.12.3-0ubuntu2) bionic; urgency=medium

  * Install missing files which are built, but not installed
    (LP: #1761537)
    - HTML docs for various non English languages
    - ffmpeg decoder plugin

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 05 Apr 2018 17:14:56 +0100

k3b (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:31 +0000

k3b (17.12.2-0ubuntu2) bionic; urgency=medium

  * k3b-i18n: Drop to recommends. (LP: #1755032)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Mar 2018 22:43:02 +0000

k3b (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:21 +0000

k3b (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:02 +0000

k3b (17.08.0-0ubuntu2) UNRELEASED; urgency=medium

  [ blaze ]
  * Reenable FFMPEG plugin
  * Apply patch - more_formats_supported.diff

  [ Clive Johnston ]
  * Add a recommends transcode

 -- blaze <blaze@vivaldi.net>  Mon, 23 Oct 2017 13:32:49 +0300

=== debian/control ===
Source: k3b
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Michael Meskes <meskes@debian.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               cmake-data,
               debhelper (>= 9),
               extra-cmake-modules,
               libavformat-dev,
               libcam-dev [kfreebsd-any],
               libdvdread-dev,
               libflac++-dev,
               libflac-dev,
               libkf5archive-dev,
               libkf5cddb-dev (>= 4:17.12.3~),
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5filemetadata-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmad0-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libmusicbrainz5-dev,
               libsamplerate0-dev,
               libsndfile1-dev,
               libtag1-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.9.0),
               qtbase5-dev,
               shared-mime-info
Standards-Version: 3.9.8
Homepage: http://www.k3b.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b

Package: k3b
Architecture: any
Depends: cdparanoia,
         cdrdao [linux-any],
         cdrskin,
         genisoimage,
         k3b-data (= ${source:Version}),
         libk3b7 (= ${binary:Version}),
         udisks2 [linux-any],
         wodim,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dvd+rw-tools, growisofs, libk3b7-extracodecs, transcode, vcdimager
Suggests: k3b-extrathemes, k3b-i18n, kde-config-cddb, normalize-audio, sox
Description: Sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Recommends: k3b
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Depends: libk3b7 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b7
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b7-extracodecs
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# packages to compress as xz
pkgs_xz := k3b-data k3b-i18n

%:
	dh $@ --parallel --list-missing --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DK3B_ENABLE_HAL_SUPPORT=OFF

override_dh_builddeb:
	dh_builddeb $(addprefix -p,$(pkgs_xz)) -- -Zxz
	dh_builddeb --remaining-packages

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/k3b/([\d.]+)/k3b-([\d.]+).tar.xz

## k3b 18.04.3

=== debian/changelog ===
k3b (18.04.3-0ubuntu2) cosmic; urgency=medium

  * Drop Recommends: transcode - it's being removed.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 15 Aug 2018 15:35:15 +0100

k3b (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.90)
  * Refresh patches
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * debian/rules: Pass --with kf5 to dh
  * Remove obsolete menu and not-installed files
  * Update lintian overrides
  * Correct typos in README.debian
  * Update watchfile to use https

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:14:20 +0100

k3b (17.12.3-0ubuntu4) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:46:57 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libflac++-dev,
                libflac-dev,
                libkf5archive-dev,
-               libkf5cddb-dev (>= 4:17.12.3~),
+               libkf5cddb-dev (>= 4:18.04.3~),
                libkf5config-dev,
                libkf5coreaddons-dev,
                libkf5doctools-dev,
@@ -43,7 +43,7 @@
                libvorbis-dev,
                pkg-kde-tools (>= 0.9.0),
                qtbase5-dev,
-               shared-mime-info
+               shared-mime-info,
 Standards-Version: 3.9.8
 Homepage: http://www.k3b.org
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
@@ -61,7 +61,7 @@
          wodim,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dvd+rw-tools, growisofs, libk3b7-extracodecs, transcode, vcdimager
+Recommends: dvd+rw-tools, growisofs, libk3b7-extracodecs, vcdimager
 Suggests: k3b-extrathemes, k3b-i18n, kde-config-cddb, normalize-audio, sox
 Description: Sophisticated CD/DVD burning application
  K3b provides a comfortable user interface to perform most CD/DVD burning

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 pkgs_xz := k3b-data k3b-i18n
 
 %:
-	dh $@ --parallel --list-missing --with kde
+	dh $@ --parallel --list-missing --with kf5
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DK3B_ENABLE_HAL_SUPPORT=OFF

## k3b 18.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 set(CMAKE_MODULE_PATH "${ECM_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (KDE_APPLICATIONS_VERSION_MAJOR "18")
+set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MICRO "1")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 set (QT_MIN_VERSION "5.5.0")

=== tests/CMakeLists.txt ===

add_executable(k3bdataprojectmodeltest
    k3bdataprojectmodeltest.cpp
    k3btestutils.cpp
    ${CMAKE_SOURCE_DIR}/src/projects/k3bdataprojectmodel.cpp)
target_include_directories(k3bdataprojectmodeltest PRIVATE
    ${CMAKE_BINARY_DIR}/libk3bdevice
    ${CMAKE_SOURCE_DIR}/libk3bdevice
    ${CMAKE_SOURCE_DIR}/src/projects)
target_link_libraries(k3bdataprojectmodeltest
    Qt5::Test
    KF5::IconThemes
    KF5::I18n
    k3blib)
add_test(k3bdataprojectmodeltest k3bdataprojectmodeltest)

add_executable(k3bglobalstest k3bglobalstest.cpp)
target_include_directories(k3bglobalstest PRIVATE
    ${CMAKE_SOURCE_DIR}/libk3bdevice)
target_link_libraries(k3bglobalstest
    Qt5::Test
    k3blib)
add_test(k3bglobalstest k3bglobalstest)

add_executable(k3bmetaitemmodeltest
    k3bmetaitemmodeltest.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bmetaitemmodel.cpp)
target_include_directories(k3bmetaitemmodeltest PRIVATE
    ${CMAKE_BINARY_DIR}/libk3b
    ${CMAKE_SOURCE_DIR}/libk3b/core
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/projects)
target_link_libraries( k3bmetaitemmodeltest
    Qt5::Gui
    Qt5::Test
    KF5::ConfigCore)
add_test(k3bmetaitemmodeltest k3bmetaitemmodeltest)

add_executable(k3bmodelutilstest
    k3bmodelutilstest.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bmodelutils.cpp)
target_include_directories(k3bmodelutilstest PRIVATE
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/projects)
target_link_libraries(k3bmodelutilstest
    Qt5::Gui
    Qt5::Test)
add_test(k3bmodelutilstest k3bmodelutilstest)

add_executable(k3bdeviceglobalstest k3bdeviceglobalstest.cpp)
target_include_directories(k3bdeviceglobalstest PRIVATE
    ${CMAKE_SOURCE_DIR}/libk3bdevice)
target_link_libraries(k3bdeviceglobalstest
    Qt5::Test
    KF5::KIOCore
    k3bdevice)
add_test(k3bdeviceglobalstest k3bdeviceglobalstest)

qt5_generate_dbus_interface(${CMAKE_SOURCE_DIR}/src/k3bjobinterface.h org.k3b.Job.xml)
qt5_add_dbus_adaptor(dbus_sources ${CMAKE_CURRENT_BINARY_DIR}/org.k3b.Job.xml ${CMAKE_SOURCE_DIR}/src/k3bjobinterface.h K3b::JobInterface k3bjobinterfaceadaptor K3bJobInterfaceAdaptor)

add_executable(k3bexternalbinmanagertest 
    k3bexternalbinmanagertest.cpp
    stub-k3bapplication.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bburnprogressdialog.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bdebuggingoutputdialog.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bemptydiscwaiter.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bjobinterface.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bdebuggingoutputcache.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bthememanager.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bthemedlabel.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bdebuggingoutputfile.cpp
    ${CMAKE_SOURCE_DIR}/src/k3bjobprogressdialog.cpp
    ${dbus_sources})
target_include_directories(k3bexternalbinmanagertest PRIVATE
    ${CMAKE_SOURCE_DIR}/libk3b
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/projects
    ${CMAKE_SOURCE_DIR}/src/projects/kostore
    ${CMAKE_SOURCE_DIR}/src/helper
    ${CMAKE_BINARY_DIR}/src)
target_link_libraries(k3bexternalbinmanagertest
    Qt5::Test
    KF5::I18n
    KF5::XmlGui
    KF5::Notifications
    KF5::IconThemes
    k3blib
    k3bdevice)
add_test(k3bexternalbinmanagertest k3bexternalbinmanagertest)

if(LIBFUZZER_FOUND)
    find_package(Threads)
    add_executable(k3bfuzzertest 
        k3bfuzzertest.cpp)
    target_link_libraries(k3bfuzzertest
        Qt5::Core
        ${LIBFUZZER_LIBRARIES}
        ${CMAKE_THREAD_LIBS_INIT})
endif()

=== src/icons/actions/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        128-actions-tools-rip-audio-cd.png
        128-actions-tools-rip-video-cd.png
        128-actions-tools-rip-video-dvd.png
        16-actions-musicbrainz.png
        16-actions-tools-rip-audio-cd.png
        16-actions-tools-rip-video-cd.png
        16-actions-tools-rip-video-dvd.png
        22-actions-tools-rip-audio-cd.png
        22-actions-tools-rip-video-cd.png
        22-actions-tools-rip-video-dvd.png
        32-actions-tools-rip-audio-cd.png
        32-actions-tools-rip-video-cd.png
        32-actions-tools-rip-video-dvd.png
        48-actions-tools-rip-audio-cd.png
        48-actions-tools-rip-video-cd.png
        48-actions-tools-rip-video-dvd.png
        64-actions-musicbrainz.png
        64-actions-tools-rip-audio-cd.png
        64-actions-tools-rip-video-cd.png
        64-actions-tools-rip-video-dvd.png
        sc-actions-tools-rip-audio-cd.svgz
        sc-actions-tools-rip-video-cd.svgz
        sc-actions-tools-rip-video-dvd.svgz
    DESTINATION
        ${K3B_DATA_INSTALL_DIR}/icons
)

=== debian/changelog ===
k3b (18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update the patches:
    - 101_rename_normalize.diff: refresh
    - 104_dont_require_suid_cdrecord_or_cdrdao.diff: refresh
    - 110_disable_no_problems_found_popup.diff: refresh
    - 111_advice_debian_libk3b3-extracodes.diff: refresh
    - 112_dont_require_mp3.diff: refresh

 -- Pino Toscano <pino@debian.org>  Fri, 07 Sep 2018 07:40:21 +0200

k3b (17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Switch maintainer to Debian Qt/KDE Maintainers.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Dec 2017 14:23:21 +0100

k3b (17.08.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #784471, #874923)
    - fixes build with GCC 7 (Closes: #853465)
  * Remove unused ${shlibs:Depends} substvar from libk3b-dev.
  * Update watch file.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, libkcddb-dev, and libqtwebkit-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5webkit5-dev,
      libkf5archive-dev, libkf5cddb-dev, libkf5config-dev,
      libkf5coreaddons-dev, libkf5doctools-dev, libkf5filemetadata-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, libkf5jobwidgets-dev,
      libkf5kcmutils-dev, libkf5kio-dev, libkf5newstuff-dev,
      libkf5notifications-dev, libkf5notifyconfig-dev, libkf5service-dev,
      libkf5solid-dev, libkf5widgetsaddons-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Rename packages according to the SONAME bumps:
    - libk3b6 -> libk3b7
    - libk3b6-extracodecs -> libk3b7-extracodecs
  * Update install files.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the test suite, as it does
    not work.
  * Update lintian overrides.
  * Update the patches:
    - 101_rename_normalize.diff: update
    - 104_dont_require_suid_cdrecord_or_cdrdao.diff: refresh
    - 110_disable_no_problems_found_popup.diff: update
    - 111_advice_debian_libk3b3-extracodes.diff: update
    - 112_dont_require_mp3.diff: refresh
    - 113_initial_preference.diff: drop, applied upstream
    - cmake-duplicate-doc.diff: drop, no more needed
    - upstream_Fixed-compilation-on-newer-ffmpeg-libav.patch: drop, backported
      from upstream
    - upstream_Fix-build-failure-when-compiling-with-GCC-5.patch: drop,
      backported from upstream
  * Remove unused patch 105_add_iso_burning_to_welcome_screen.diff.
  * Install FAQ.txt & README.txt instead of FAQ & README (as documentation).
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879306)
  * Bump Standards-Version to 4.1.2, no changes required.
  * Remove pre-Jessie replaces.
  * Tighten some dependencies.
  * Remove trailing whitespaces in control.
  * Fixup some sections.
  * Rename docs to k3b.docs, so it is clear for which binary it is.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Dec 2017 22:02:24 +0100

=== debian/control ===
Source: k3b
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 11~), cmake, pkg-kde-tools (>= 0.15.16),
 extra-cmake-modules,
 qtbase5-dev (>= 5.5.0~),
 libqt5webkit5-dev,
 libkf5archive-dev (>= 5.21.0~),
 libkf5cddb-dev,
 libkf5config-dev (>= 5.21.0~),
 libkf5coreaddons-dev (>= 5.21.0~),
 libkf5doctools-dev (>= 5.21.0~),
 libkf5filemetadata-dev (>= 5.21.0~),
 libkf5i18n-dev (>= 5.21.0~),
 libkf5iconthemes-dev (>= 5.21.0~),
 libkf5jobwidgets-dev (>= 5.21.0~),
 libkf5kcmutils-dev (>= 5.21.0~),
 libkf5kio-dev (>= 5.21.0~),
 libkf5newstuff-dev (>= 5.21.0~),
 libkf5notifications-dev (>= 5.21.0~),
 libkf5notifyconfig-dev (>= 5.21.0~),
 libkf5service-dev (>= 5.21.0~),
 libkf5solid-dev (>= 5.21.0~),
 libkf5widgetsaddons-dev (>= 5.21.0~),
 libkf5xmlgui-dev (>= 5.21.0~),
 libavformat-dev, libdvdread-dev, libflac++-dev,
 libflac-dev, libmad0-dev, libmpcdec-dev,
 libsamplerate0-dev, libsndfile1-dev, libtag1-dev,
 shared-mime-info, libvorbis-dev, libcam-dev [kfreebsd-any],
 libmp3lame-dev
Standards-Version: 4.2.1
Homepage: http://www.k3b.org
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/k3b.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/k3b

Package: k3b
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 k3b-data (= ${source:Version}), libk3b7 (= ${binary:Version}),
 wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage, udisks2 [linux-any]
Recommends: libk3b7-extracodecs, dvd+rw-tools, vcdimager, growisofs
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2,
 kde-config-cddb
Description: Sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: ${misc:Depends}, k3b
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: ${misc:Depends}, k3b
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libk3b7 (= ${binary:Version})
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b7-extracodecs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libk3b7 (= ${binary:Version}),
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.
